import numpy as np
import pytest

from context import cech
from context import offfile

def test_cech():
    # open the test file
    vertices = offfile.read_off_panda_filename("Models/eight.off")

    # call the code to test
    centre_list, radius_list, basis_list = cech.calculate(vertices, 0.01)

    assert centre_list.shape == (768, 3)
    assert radius_list.shape == (768,)
    assert basis_list.shape == (768, 3)

    assert centre_list[318] == np.array([0.000000000000000000e+00,
        -2.667999999999999816e-01, 0.000000000000000000e+00])

def test_cech2():
    # open the test file
    vertices = offfile.read_off_panda_filename("Models/eight.off")

    # call the code to test
    centre_list, radius_list, basis_list = cech.calculate(vertices, 0.03)
